MP4(3)

NAME

MP4GetSampleTime - Get the start time of a track sample

SYNTAX

#include <mp4.h>

MP4Timestamp MP4GetSampleTime(
    MP4FileHandle hFile,
    MP4TrackId trackId,
    MP4SampleId sampleId
);

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track to which the operation applies.

sampleId
    Specifies the sample to which the operation applies. Caveat: the first sample has id 1 not 0.

RETURN VALUES

Upon success, the sample start time in track time scale units. Upon an error, MP4_INVALID_TIMESTAMP.

DESCRIPTION

MP4GetSampleTime returns the start time of the specified sample from the specified track in the track time scale units. See MP4ConvertFromTrackTimestamp() for how to map this value to another time scale.

SEE ALSO

MP4(3) MP4ConvertFromTrackDuration(3)